#ifndef MOTION_CONTROL_H
#define MOTION_CONTROL_H

#include <stdint.h>

typedef struct motion_control_data_t {
    int16_t angle;
    int8_t x_axis_speed;
    int8_t y_axis_speed;
} motion_control_data_t;

// Update motion control buffer from udp buffer and gyro data
void i2c_update_motion_control(void);

#endif // MOTION_CONTROL_H